### Interface

# Phosh SessionPresenceDBusPresence

#### Description [src]

    interface Phosh.SessionPresenceDBusPresence : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.SessionManager.Presence.

#### Prerequisite

In order to implement SessionPresenceDBusPresence, your type must inherit from`GObject`.

#### Implementations

- PhoshSessionPresence
- PhoshSessionPresenceDBusPresenceProxy
- PhoshSessionPresenceDBusPresenceSkeleton

#### Functions

###### phosh_session_presence_dbus_presence_interface_info

Gets a machine-readable description of the org.gnome.SessionManager.Presence D-Bus interface.

###### phosh_session_presence_dbus_presence_override_properties

Overrides all `GObject` properties in the `PhoshSessionPresenceDBusPresence` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### phosh_session_presence_dbus_presence_emit_status_changed

Emits the “StatusChanged” D-Bus signal.

###### phosh_session_presence_dbus_presence_get_status

Gets the value of the “status” D-Bus property.

###### phosh_session_presence_dbus_presence_set_status

Sets the “status” D-Bus property to `value`.

#### Properties

###### Phosh.SessionPresenceDBusPresence:status

Represents the D-Bus property “status”.

#### Signals

###### Phosh.SessionPresenceDBusPresence::status-changed

On the client-side, this signal is emitted whenever the D-Bus signal “StatusChanged” is received.

#### Interface structure

    struct PhoshSessionPresenceDBusPresenceIface {
      GTypeInterface parent_iface;
      guint (* get_status) (
        PhoshSessionPresenceDBusPresence* object
      );
      void (* status_changed) (
        PhoshSessionPresenceDBusPresence* object,
        guint arg_status
      );

    }

Virtual table for the D-Bus interface org.gnome.SessionManager.Presence.

###### Interface members

`parent_iface` |
    GTypeInterface
| The parent interface.
`get_status` |
    guint (* get_status) (
        PhoshSessionPresenceDBusPresence* object
      )
| Getter for the `PhoshSessionPresenceDBusPresence:status` property.
`status_changed` |
    void (* status_changed) (
        PhoshSessionPresenceDBusPresence* object,
        guint arg_status
      )
| Handler for the `PhoshSessionPresenceDBusPresence::status-changed` signal.

#### Virtual methods

###### Phosh.SessionPresenceDBusPresence.get_status

Gets the value of the “status” D-Bus property.

###### Phosh.SessionPresenceDBusPresence.status_changed

Handler for the `PhoshSessionPresenceDBusPresence::status-changed` signal.